//=========================================================
// src/Octopus_main.c: generated by Hardware Configurator
//
// This file will be updated when saving a document.
// leave the sections inside the "$[...]" comment tags alone
// or they will be overwritten!!
//=========================================================

//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8SB2_Register_Enums.h>                  // SFR declarations
#include "InitDevice.h"
// $[Generated Includes]
// [Generated Includes]$

#include "IO.h"
#include <stdio.h>
#include "Plot.h"
#include "Keyboard.h"
#include "LCD.h"
#include "Octopus.h"

#define SLEEP_TIMER (60*60) /*How many ticks before sleeping*/
#define SLASH_SCREEN 3500

unsigned int sleepTimer=SLEEP_TIMER;




//-----------------------------------------------------------------------------
// SiLabs_Startup() Routine
// ----------------------------------------------------------------------------
// This function is called immediately after reset, before the initialization
// code is run in SILABS_STARTUP.A51 (which runs before main() ). This is a
// useful place to disable the watchdog timer, which is enable by default
// and may trigger before main() in some instances.
//-----------------------------------------------------------------------------
void SiLabs_Startup (void)
{

  // $[SiLabs Startup]
  // [SiLabs Startup]$
}

//-----------------------------------------------------------------------------
// main() Routine
// ----------------------------------------------------------------------------
int main (void)
{

  // Call hardware initialization routine
  enter_DefaultMode_from_RESET();


	EI();

	LCDInit();
	IOBacklight(1);

	LCDClearFrameBuffer();
	/*Draw the splash screen*/
	LCDWriteRLE(0, 0, Octopus);

	/*Move screen to display*/
	LCDWriteBuffer();

	/*Allow time to read the screen*/
	IOWait(SLASH_SCREEN);
	LCDClearFrameBuffer();

  while (1)
  {
  	/*If we are not asleep*/
		if(sleepTimer!=0)
		{
			/*Decrement the counter*/
			sleepTimer--;

			/*If we just timed out*/
			if(sleepTimer==0)
			{
				/*Push data lines high and turn off the display*/
				LCDPort=0xFF;
				IOLCDOn(0);
				enter_Sleep_from_DefaultMode();
			}
			else
			{
				/*Read the keyboard*/
				KeyboardDebounce();

				/*If the display saw something*/
		  	if(Plot())
		  	{
		  		/*Then reload the sleep timer*/
		  		sleepTimer=SLEEP_TIMER;
		  	}
			}
		}



		else
		{
			/*Don't sleep if debugging*/
#ifndef DEBUG

			/*Disable the interrupts while moving in and out of sleep*/
			DI();

			/*Clear the flags and start sleeping*/
			PMU0CF = PMU0CF_CLEAR__ALL_FLAGS;
			PMU0CF = PMU0CF_RTCAWK__BMASK | PMU0CF_SLEEP__START;

			/*Awake now, flush the pipeline, before....*/
			NOP();
			NOP();
			NOP();
			NOP();

			/*You start the IRQs*/
			EI();

#else
			/*I'm not sleeping, I'm just resting my eyes*/
			IOWait(100);
#endif
			/*If a keypress*/
			if(!PB0 || !PB1)
			{

				/*Awake now*/
				sleepTimer=SLEEP_TIMER;
				enter_DefaultMode_from_Sleep();

				/*Fire up the display*/
				LCDInit();
				IOBacklight(1);

				/*Show the octopus again*/
				LCDClearFrameBuffer();
				LCDWriteRLE(0,0,Octopus);
				LCDWriteBuffer();
				IOWait(SLASH_SCREEN);
				LCDClearFrameBuffer();
			}
		}




    // $[Generated Run-time code]
    // [Generated Run-time code]$
  }                             
}


