/*
*/
/**
@file Plot.h
@brief Functions for plotting X/Y for the tracker

The ADC will be polled rather than ISR because that will make it a little faster
as far as pushing and pulling off the stack and that way the PWM will have
priority.

\author    chipc
\version   1.0
\date      Feb 23, 2019
*/


#ifndef INC_PLOT_H_
#define INC_PLOT_H_



/*#################################Includes##################################*/

/*##############################Public Definitions###########################*/



/*##############################Public Data##################################*/


/*###############################Public Functions############################*/

/******************************************************************************/
/**
@brief
brief Reads X/Y for one line cycle

Polls the timer to complete a full line cycle.  We don't care where the cycle is
as the start, just as long as we capture a whole cycle and plot the results in the
frame buffer



******************************************************************************/
bit Plot(void);

#endif /* INC_PLOT_H_ */







